Page MenuHomePhabricator

Multimedia:Video player has strange size and proportions
Closed, ResolvedPublic

Description

video popup

Window should be relative to the video size, and centered.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz72437
Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterFix broken video player on first popup dialog open

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:45 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz72437.
bzimport added a subscriber: Unknown Object (MLST).

Huh. I thought I fixed that like a year ago. It was related to javascript being loaded in the wrong order

Oh whoops. I submitted a patch ( https://gerrit.wikimedia.org/r/#/c/108472/ ) it got (rightfully) -1'd, and then I totally forgot about it.

gerritadmin wrote:

Change 108472 had a related patch set uploaded by TheDJ:
Make sure jquery.ui.dialog is loaded if there are pop up videos

https://gerrit.wikimedia.org/r/108472

Gilles triaged this task as Low priority.Nov 24 2014, 1:09 PM
Gilles added a subscriber: Gilles.
TheDJ set Security to None.
TheDJ added a subscriber: TheDJ.

I abandoned the earlier patch. It was an old patch, probably better to start from scratch now.

Possibly a bit lost in the review comments: the real problem is that mw.addDialog should be rewritten to return a promise.......

Does it make sense to just use this as an example of how to call a template
driven oojs ui dialog?

*Jared Zimmerman * \\ Director of User Experience \\ Wikimedia Foundation

M +1 415 609 4043 \\ @Jaredzimmerman http://loo.ms/g0

brion added a subscriber: brion.Jul 21 2015, 1:23 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 21 2015, 1:23 AM

Change 227066 had a related patch set uploaded (by Brion VIBBER):
Fix broken video player on first popup dialog open

https://gerrit.wikimedia.org/r/227066

Change 227066 merged by jenkins-bot:
Fix broken video player on first popup dialog open

https://gerrit.wikimedia.org/r/227066

TheDJ closed this task as Resolved.Aug 3 2015, 7:27 PM
TheDJ assigned this task to brion.
TheDJ removed a project: Patch-For-Review.
TheDJ removed a subscriber: wikibugs-l-list.